#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 2

Summary:        Extra kio plugins needed by KF5
Name:           kio-extras
Version: 16.12.3
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{name}-%{version}.tar.xz
URL:            https://www.kde.org/

BuildRequires:  kf5-macros

BuildRequires:  kdnssd-devel
BuildRequires:  karchive-devel
BuildRequires:  kconfig-devel
BuildRequires:  kconfigwidgets-devel
BuildRequires:  kcoreaddons-devel
BuildRequires:  kdbusaddons-devel
BuildRequires:  kdoctools-devel
BuildRequires:  kdnssd-devel
BuildRequires:  kiconthemes-devel
BuildRequires:  ki18n-devel
BuildRequires:  kio-devel
BuildRequires:  khtml-devel
BuildRequires:  kdelibs4support-devel
BuildRequires:  solid-devel
BuildRequires:  kpty-devel

BuildRequires:  cmake(KF5Activities)

BuildRequires:  shared-mime-info
BuildRequires:  openslp-devel

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Sql)

BuildRequires:  pkgconfig(libssh)
BuildRequires:  pkgconfig(smbclient)
BuildRequires:  pkgconfig(exiv2)
BuildRequires:  pkgconfig(libmtp)

# duplicated files with KDE 4
Conflicts:      kde-l10n < 15.04.3

Obsoletes:      kio-mtp < 1
Provides:       kio-mtp = %version-%release

%description
Extra kio plugins needed by KF5

%files 
%_qt5_plugindir/*.so
%_kf5_plugindir/kio/*
%_kf5_plugindir/kded/*
%_kf5_services/*
%_kf5_datadir/config.kcfg/jpegcreatorsettings5.kcfg
%_datadir/dbus-1/interfaces/kf5_org.kde.network.kioslavenotifier.xml
%_kf5_datadir/kio_bookmarks
%_kf5_datadir/kio_docfilter
%_kf5_datadir/kio_info
%_kf5_datadir/konqsidebartng
%_kf5_servicetypes/*.desktop
%_datadir/mime/packages/kf5_network.xml
%_kf5_datadir/remoteview/*.desktop
%_kf5_datadir/konqueror/dirtree/remote/smb-network.desktop
%_kf5_datadir/konqueror/dirtree/remote/mtp-network.desktop 
%_kf5_datadir/solid/actions/solid_mtp.desktop

#--------------------------------------------------------------------

%define libmolletnetwork_major 5
%define libmolletnetwork %mklibname libmolletnetwork %{libmolletnetwork_major}

%package -n %libmolletnetwork
Summary:      Extra kio plugins needed by KF5
Group:        System/Libraries

%description -n %libmolletnetwork
Extra kio plugins needed by KF5

%files -n %libmolletnetwork
%_kf5_libdir/libmolletnetwork5.so.%{libmolletnetwork_major}*

#--------------------------------------------------------------------

%package handbook
Summary: %name Handbook
BuildArch: noarch

# duplicated files with KDE 4
Conflicts:  kdebase4-runtime-handbook

%description handbook
This package provides %name Handbook.

%files handbook 
%_docdir/HTML/en/kioslave5/*

#------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5 -DSYSCONF_INSTALL_DIR="%_sysconfdir"
%make

%install
%makeinstall_std -C build



%changelog
* Tue Jun 20 2017 neoclust <neoclust> 16.12.3-2.mga6
+ Revision: 1107988
- Rebuild against new exiv2

* Wed Mar 08 2017 neoclust <neoclust> 16.12.3-1.mga6
+ Revision: 1090075
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 16.12.0-1.mga6
+ Revision: 1076811
- New version 16.12.0

* Wed Dec 07 2016 neoclust <neoclust> 16.11.90-1.mga6
+ Revision: 1073088
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 16.08.3-1.mga6
+ Revision: 1067338
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 16.08.2-1.mga6
+ Revision: 1061397
- New version 16.08.2

* Thu Sep 15 2016 neoclust <neoclust> 16.08.1-2.mga6
+ Revision: 1053133
- Try to better obsoletes kio-mtp

* Thu Sep 08 2016 neoclust <neoclust> 16.08.1-1.mga6
+ Revision: 1050663
- New version 16.08.1

* Sat Aug 20 2016 neoclust <neoclust> 16.08.0-1.mga6
+ Revision: 1047303
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 16.04.3-1.mga6
+ Revision: 1040064
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 16.04.1-1.mga6
+ Revision: 1012550
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 16.04.0-1.mga6
+ Revision: 1004340
- New version 16.04.0

* Sun Apr 03 2016 neoclust <neoclust> 16.03.80-1.mga6
+ Revision: 997943
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 15.12.3-1.mga6
+ Revision: 991187
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 15.12.2-1.mga6
+ Revision: 987456
- New version 15.12.2

* Wed Jan 13 2016 neoclust <neoclust> 15.12.1-1.mga6
+ Revision: 922625
- New version 15.12.1

* Sat Dec 19 2015 neoclust <neoclust> 15.12.0-1.mga6
+ Revision: 911941
- New version 15.12.0

* Thu Nov 26 2015 neoclust <neoclust> 15.11.80-1.mga6
+ Revision: 906163
- New version 15.11.80

* Tue Nov 10 2015 neoclust <neoclust> 15.08.3-1.mga6
+ Revision: 901135
- New version 15.08.3

* Wed Oct 14 2015 neoclust <neoclust> 15.08.2-1.mga6
+ Revision: 890615
- New version 15.08.2

* Fri Sep 18 2015 neoclust <neoclust> 15.08.1-1.mga6
+ Revision: 880428
- New version 15.08.1

* Wed Aug 26 2015 sander85 <sander85> 15.08.0-2.mga6
+ Revision: 869632
- Rebuild for exiv2 0.25

* Thu Aug 20 2015 neoclust <neoclust> 15.08.0-1.mga6
+ Revision: 866190
- New version 15.08.0

* Wed Aug 12 2015 neoclust <neoclust> 15.07.90-2.mga6
+ Revision: 863794
- Plasma Mass Rebuild - Rebuild for new Plasma

* Sun Aug 09 2015 neoclust <neoclust> 15.07.90-1.mga6
+ Revision: 862056
- New version 15.07.90

* Fri Jul 31 2015 neoclust <neoclust> 15.07.80-1.mga6
+ Revision: 859636
- New version 15.07.80

* Mon Jul 20 2015 neoclust <neoclust> 5.3.2-3.mga6
+ Revision: 855567
- Versionnate conflicts

* Sun Jul 19 2015 neoclust <neoclust> 5.3.2-2.mga6
+ Revision: 855557
- Enable mtp kioslave

* Sun Jul 05 2015 neoclust <neoclust> 5.3.2-1.mga6
+ Revision: 850722
- New version 5.3.2

* Fri Dec 19 2014 neoclust <neoclust> 5.1.2-1.mga5
+ Revision: 804163
- New version

* Mon Oct 27 2014 lmenut <lmenut> 5.0.1-6.mga5
+ Revision: 793581
- add missing conflicts with KDE 4
- simplify find_lang

* Wed Oct 15 2014 umeabot <umeabot> 5.0.1-5.mga5
+ Revision: 745130
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 5.0.1-4.mga5
+ Revision: 726663
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 5.0.1-3.mga5
+ Revision: 681088
- Mageia 5 Mass Rebuild

* Sat Aug 16 2014 neoclust <neoclust> 5.0.1-2.mga5
+ Revision: 663900
- This is not a framework so rename it
- Rename

* Wed Aug 13 2014 neoclust <neoclust> 5.0.1-1.mga5
+ Revision: 662194
- New version 5.0.1
- Enable translations
- imported package kf5-kio-extras

